Support Center

mydorsaVi app system requirements

Last Updated: Jul 19, 2018 06:36AM UTC
Devices:
  • Apple iPhone 5s (or newer).
  • Apple iPad Air 2 (or newer).
  • Android - tested on Samsung Galaxy S9 & LG G6 phones
iOS Version: 10.3.0 (or newer).